This basically does what the title says, it allows you to enchant any item with any enchantment with no max level limits, for example, you could enchant a sword to have 30,000 of every enchantment or a weapon, the possibilities are endless with Endless Enchant.


English by GamingJuts

Portuguese by AbsintoJ

  • EndlessEnchant.use -> Allows you to access the "/ee" command.
  • EndlessEnchant.level.x -> Sets the max enchantment level. (Replace "x" with a number)
Old Permissions (Removed in 1.5):
  • EndlessEnchant.level.bypass -> Allows you to enchant over the max level. (default: 10)
  • Enchant any item.
  • Enchant with no level limits.
  • Enchant with every enchantment.
  • You can specify the enchantment name or number.
  • You can use the word "all" to enchant with all enchantments.
  • You can change the messages. (Great for translation)
  • NEW You can now disable negative enchantments. (Enabled by default)
  • NEW You can now have more roman numeral levels. (Enabled by default)

As of right now, the only permission plugins that are supported are PermissionsEx, GroupManager, bPermissions, and Bukkit's built in permissions. If you would like your permission plugin supported, let me know and I may consider adding it.

Please do not ask for an update without actually testing the plugin to see if it works on your server.

You must login to post a comment. Don't have an account? Register to get one!

  • Avatar of Ubique1964 Ubique1964 Aug 08, 2016 at 09:14 UTC - 0 likes

    Does this work with 1.10?

    Check out our Minecraft server at: mineoz.net ........... GET PAID: We require Admins and Moderators Apply at ClanRekt

  • Avatar of Coltain13 Coltain13 Apr 23, 2016 at 06:40 UTC - 0 likes

    @KnoxMineGamer: Go

    @Minedaniel: Go

    @Paulpkyou: Go

    I use bPermissions and I was unable to enchant past 10 as well, I have my settings set up correctly. The only way I was able to go past 10 was to go into the Configuration.json (just use notepad) and edit




    So now I can go up to level 1000 just fine, for some reason I have to use the IDs to enchant, but that's not a big deal anyways.

  • Avatar of KnoxMineGamer KnoxMineGamer Mar 31, 2016 at 19:07 UTC - 0 likes

    @Minedaniel: Go

    i have the same problem

  • Avatar of Paulpkyou Paulpkyou Feb 21, 2016 at 23:48 UTC - 0 likes

    @Minedaniel: Go

    What permission plugin are you using?

    No longer taking plugin requests at the moment.

  • Avatar of Minedaniel Minedaniel Feb 19, 2016 at 16:35 UTC - 0 likes

    Hey,it says that i dont have permision to go over level 10? Whats its problem?

  • Avatar of Paulpkyou Paulpkyou Feb 10, 2016 at 09:30 UTC - 0 likes

    @brokenshadows: Go

    Just went ahead and gave it a try myself, I gave the permission node to the default group and was able use /ee, so the plugin is detecting GroupManager.

    In the past I've had mixed results with GroupManager, people tell me it works fine and others say it doesn't.

    If possible, you should upgrade to PermissionsEx, It's not hard to configure and has a lot more options, If not just play around with GroupManager till you get it working.

    Last edited Feb 10, 2016 by Paulpkyou
  • Avatar of brokenshadows brokenshadows Feb 10, 2016 at 01:36 UTC - 0 likes

    For some reason, I am unable to get this plugin to work. I copied the permission from above into my world/groups.yml, but every time I try to use the /ee command, I get "[EndlessEnchant] You do not have permission to do this" in response.

    I've checked that my group permissions are working by logging in with my daughters account (which would be in the default group), and trying to use the /plugins command. She gets a message telling her she's not authorized, but when I use the /plugins command on my account, I get a list of installed plugins.

    default: default
        - ^bukkit.command.plugins
        groups: []
          prefix: '&9[Default]'
          priority: '100'
        - bukkit.command.plugins
        - default
          prefix: '&b[Moderator]'
          priority: '200'
        - EndlessEnchant.use
        - moderator
          prefix: '&c[Admin]'
          priority: '300'
  • Avatar of Paulpkyou Paulpkyou Feb 05, 2016 at 10:04 UTC - 0 likes

    Just uploaded an update for version 1.6, it fixes some issues and adds support for upcoming 1.9 enchantments.

    ll probably take a few days before it's approved.


    It's out, be sure to check the download page to a full list of changes. Let me know If you have any ideas on how the plugin can be improved.

    Last edited Feb 05, 2016 by Paulpkyou
  • Avatar of Paulpkyou Paulpkyou Sep 29, 2015 at 09:56 UTC - 0 likes

    Sorry about the inactivity, I've been busy with things and haven't been checking back here that often.

    Soon I'll be updating the plugin to 1.5 and hopefully it'll keep working throughout future updates.


    The plugin has been updated to 1.5, many things have been added, changed, and removed.

    You can read about the changes on the download page, make sure you delete your old configuration file before updating.

    Last edited Feb 05, 2016 by Paulpkyou
  • Avatar of lilacorn lilacorn Sep 12, 2015 at 19:17 UTC - 0 likes

    This plugin no longer works now please update it. Also I would like to see a config file so I can let my players enchant higher than 10 up to 20 instead of giving them the permission to do whatever levels. Also would like to see a permission node for disabling them from enchanting negative spells.


Date created
Jan 20, 2013
Last update
Feb 05, 2016
Development stage
  • enUS
All Rights Reserved
Curse link
Recent files